Attribute a deposit as spam
Permissions required: Deposit Attribution.
Attribute a deposit as spam.
Only attributions in PENDING status can be attributed.
Once the attribution is successfully performed the attribution status moves from PENDING to ATTRIBUTED.
For any spam attribution performed via API, the attributionType will automatically be set to SPAM and the deposit’s funds will cease to be available.
Authorizations
An API key associated with a security role
Headers
A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.
Construction example:
toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)^[0-9A-Fa-f]{128,160}$Current timestamp, represented as unix epoch seconds
Path Parameters
The transactionId where the transactionType is DEPOSIT.
^[0-9A-Fa-f]+$Body
The body is of type object.
Response
Successfully attributed a deposit as spam

